#set recent score
scoreboard players operation @s 1r_milisec1 = @s milisec
scoreboard players operation @s 1r_sec1 = @s sec
scoreboard players operation @s 1r_min1 = @s min

#check for new best
execute if score @s min < @s 1b_min1 run tag @s add new_best
execute if score @s min <= @s 1b_min1 if score @s sec < @s 1b_sec1 run tag @s add new_best
execute if score @s min <= @s 1b_min1 if score @s sec <= @s 1b_sec1 if score @s milisec < @s 1b_milisec1 run tag @s add new_best

#set new best
execute if entity @s[tag=new_best] run scoreboard players operation @s 1b_milisec1 = @s milisec
execute if entity @s[tag=new_best] run scoreboard players operation @s 1b_sec1 = @s sec
execute if entity @s[tag=new_best] run scoreboard players operation @s 1b_min1 = @s min

#title
execute if entity @s[tag=new_best] run title @s subtitle {"text":"NEW PERSONAL RECORD","bold":true,"color":"dark_green"}

#playsound
execute if entity @s[tag=new_best] run playsound minecraft:entity.player.levelup master @s ~ ~ ~ 1 0

#remove tag 
tag @s remove new_best

#check for not new best
execute if score @s min > @s 1b_min1 run tag @s add not_new_best
execute if score @s min >= @s 1b_min1 if score @s sec > @s 1b_sec1 run tag @s add not_new_best
execute if score @s min >= @s 1b_min1 if score @s sec >= @s 1b_sec1 if score @s milisec > @s 1b_milisec1 run tag @s add not_new_best

#sound
execute if entity @s[tag=not_new_best] run playsound minecraft:entity.player.levelup master @s ~ ~ ~ 1 1

#remove tag
tag @s remove not_new_best

#tellraw if challenge is 1/ detect what medal
#gold
execute if score @s min matches 0 run tag @s add gold
execute if score @s min matches 1 if score @s sec matches ..19 run tag @s add gold
execute if score @s min matches 1 if score @s sec matches 20 if score @s milisec matches 0 run tag @s add gold

#silver
execute unless entity @s[tag=gold] if score @s min matches 1 if score @s sec matches ..34 run tag @s add silver
execute unless entity @s[tag=gold] if score @s min matches 1 if score @s sec matches 35 if score @s milisec matches 0 run tag @s add silver

#bronze
execute unless entity @s[tag=gold] unless entity @s[tag=silver] if score @s min matches 1 if score @s sec matches ..49 run tag @s add bronze
execute unless entity @s[tag=gold] unless entity @s[tag=silver] if score @s min matches 1 if score @s sec matches 50 if score @s milisec matches 0 run tag @s add bronze

#no medal
execute if score @s min matches 2.. run tag @s add no_medal
execute if score @s min matches 1 if score @s sec matches 51.. run tag @s add no_medal
execute if score @s min matches 1 if score @s sec matches 50 if score @s milisec matches 50.. run tag @s add no_medal

#tellraw
execute if entity @s[tag=gold] run function realms:1/gold1
execute if entity @s[tag=silver] run function realms:1/silver1
execute if entity @s[tag=bronze] run function realms:1/bronze1
execute if entity @s[tag=no_medal] run function realms:1/no_medal1

#new global highscore check
function realms:highscore/1blindness
